Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\Persistence\Legacy\URL\Handler Class Reference

Storage Engine handler for URLs. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\URL\Handler:

## Public Member Functions
| __construct (Gateway $gateway, Mapper $mapper)
| Handler constructor. More...
| updateUrl ($id, URLUpdateStruct $urlUpdateStruct)
| {} More...
| find (URLQuery $query)
| {} More...
| loadById ($id)
| {} More...
| loadByUrl ($url)
| {} More...
| findUsages ($id)
| {} More...
Public Member Functions inherited from eZ\Publish\SPI\Persistence\Bookmark\Handler
| create (CreateStruct $createStruct)
| Create a new bookmark. More...
| delete (int $bookmarkId)
| Delete a bookmark. More...
| loadByUserIdAndLocationId (int $userId, array $locationIds)
| Get bookmark by user id and location id. More...
| loadUserBookmarks (int $userId, int $offset=0, int $limit=-1)
| Loads bookmarks owned by user. More...
| countUserBookmarks (int $userId)
| Count bookmarks owned by user. More...
| locationSwapped (int $location1Id, int $location2Id)
| Notifies the underlying engine that a location was swapped. More...

## Private Attributes
| $urlGateway
| $urlMapper

## Detailed Description

Storage Engine handler for URLs.

Definition at line 17 of file Core/Persistence/Legacy/URL/Handler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\URL\Handler::__construct | ( | Gateway | $gateway,
|  | Mapper | $mapper
| ) |  |

Handler constructor.

Parameters

  \eZ\Publish\Core\Persistence\Legacy\URL\Gateway | $gateway |
  \eZ\Publish\Core\Persistence\Legacy\URL\Mapper | $mapper |

Definition at line 31 of file Core/Persistence/Legacy/URL/Handler.php.

## Member Function Documentation

## ◆ find()

eZ\Publish\Core\Persistence\Legacy\URL\Handler::find | ( | URLQuery | $query | ) |

{}

Definition at line 55 of file Core/Persistence/Legacy/URL/Handler.php.

## ◆ findUsages()

eZ\Publish\Core\Persistence\Legacy\URL\Handler::findUsages | ( |  | $id | ) |

{}

Definition at line 105 of file Core/Persistence/Legacy/URL/Handler.php.

## ◆ loadById()

eZ\Publish\Core\Persistence\Legacy\URL\Handler::loadById | ( |  | $id | ) |

{}

Definition at line 73 of file Core/Persistence/Legacy/URL/Handler.php.

## ◆ loadByUrl()

eZ\Publish\Core\Persistence\Legacy\URL\Handler::loadByUrl | ( |  | $url | ) |

{}

Definition at line 89 of file Core/Persistence/Legacy/URL/Handler.php.

## ◆ updateUrl()

eZ\Publish\Core\Persistence\Legacy\URL\Handler::updateUrl | ( |  | $id,
|  | URLUpdateStruct | $urlUpdateStruct
| ) |  |

{}

Definition at line 40 of file Core/Persistence/Legacy/URL/Handler.php.

## Member Data Documentation

## ◆ $urlGateway

eZ\Publish\Core\Persistence\Legacy\URL\Handler::$urlGateway
| private

Definition at line 20 of file Core/Persistence/Legacy/URL/Handler.php.

## ◆ $urlMapper

eZ\Publish\Core\Persistence\Legacy\URL\Handler::$urlMapper
| private

Definition at line 23 of file Core/Persistence/Legacy/URL/Handler.php.

The documentation for this class was generated from the following file:

- Core/Persistence/Legacy/URL/Handler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.